Bug 881445 - SELinux is preventing /usr/sbin/sshd "search" access on /var/lib/mysql
Summary: SELinux is preventing /usr/sbin/sshd "search" access on /var/lib/mysql
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 22:33 UTC by Rubio
Modified: 2018-11-30 20:34 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-184.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:32:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0314 0 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2013-02-20 20:35:01 UTC

Description Rubio 2012-11-28 22:33:40 UTC
Get this denial:

type=1400 audit(1354132378.229:377): avc:  denied  { search } for  pid=31781 comm="sshd" name="mysql" dev=sda3 ino=4457413 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mysqld_db_t:s0 tclass=dir

when trying to ssh as mysql using ssh keys.
policy does not permit sshd to look into the mysql home directory to look for authorized_keys.

Comment 2 Miroslav Grepl 2012-11-29 06:47:01 UTC
We have a fix in Fedora.

Comment 5 errata-xmlrpc 2013-02-21 08:32:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0314.html


Note You need to log in before you can comment on or make changes to this bug.